# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Pseudoregalia Template

game: Pseudoregalia
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.
  game:
    Pseudoregalia: 0.10.0 # Version of the world required for this yaml to work as expected.

Pseudoregalia:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  game_version:
    # The version of Pseudoregalia you will use when playing the game. Different versions have different logic, locations, and items.
    # After you connect, the game will warn you if the version you are playing doesn't match this option.
    # 
    # map_patch: The latest version of the game. Includes time trials and new outfits.
    # full_gold: Previous version, accessible using the "fullgoldjump" beta code in Steam.
    map_patch: 50
    full_gold: 0

  logic_level:
    # The overall difficulty of the logic, used to determine the requirements to access locations and regions.
    # 
    # Normal: Suitable for anyone who has beaten the game. Requires backflips and knowing where everything is.
    # Hard: Requires some easier movement tricks such as cling climbing and backwards ultras using solar wind,
    #       and more nuanced movement like turning during an air kick.
    # Expert: Requires more difficult movement tricks such as ultrahops and reverse wallkicks, and obscure knowledge.
    # Lunatic: Requires extremely difficult jumps and creative thinking. No holds barred. You have been warned.
    normal: 50
    hard: 0
    expert: 0
    lunatic: 0

  obscure_logic:
    # Enables logic for obscure knowledge and creative pathing that isn't difficult to execute but may not be obvious or commonly known.
    # This option is forced on if logic level is set to Expert or Lunatic.
    'false': 50
    'true': 0

  spawn_point:
    # Determines where you will spawn into the game when creating a new file.
    # 
    # castle_main: The save point near Memento in Castle Sansa.
    # castle_gazebo: The save point in the gazebo in the Castle Sansa courtyard.
    # dungeon_mirror: The vanilla starting point in Dilapidated Dungeon. If this option is selected, start_with_breaker
    #     will be forced on and you will most likely be expected to leave through the dark rooms to The Underbelly. See
    #     this video for a guide on how to do that: https://youtu.be/Z_a9l2wzd8c
    # library: The save point at the start of Listless Library. If this option is selected, either start_with_breaker or
    #     randomize_books must also be turned on. If both options are off at the start of generation, start_with_breaker
    #     will be forced on. If just randomize_books is turned on, your sphere one will have a lot of checks but will be
    #     very short, so keep that in mind if you are playing in a multiworld with other people.
    # underbelly_south: The save point near the building at the south of The Underbelly.
    # underbelly_big_room: The save point in the big room in the middle of The Underbelly.
    # bailey_main: The save point in Empty Bailey.
    # keep_main: The save point in the main hallway in Sansa Keep.
    # keep_north: The north save point in Sansa Keep.
    # theatre_main: The save point in the auditorium in Twilight Theatre. If this option is selected, your starting
    #     inventory will include Cling Gem/one Cling Shard on normal, or Heliacal Power/one Air Kick on hard+. You will be
    #     able to leave Twilight Theatre through the big pillar room to the south.
    castle_main: 50
    castle_gazebo: 0
    dungeon_mirror: 0
    library: 0
    underbelly_south: 0
    underbelly_big_room: 0
    bailey_main: 0
    keep_main: 0
    keep_north: 0
    theatre_main: 0

  progressive_breaker:
    # Replaces Dream Breaker, Strikebreak, and Soul Cutter with three Progressive Dream Breaker items.
    'false': 0
    'true': 50

  progressive_slide:
    # Replaces Slide and Solar Wind with two Progressive Slide items.
    'false': 0
    'true': 50

  split_sun_greaves:
    # Replaces Sun Greaves and Heliacal Power with four individual Air Kicks.
    'false': 50
    'true': 0

  split_cling_gem:
    # Replaces Cling Gem with three Cling Shard items.
    # Each Cling Shard increases your wall run limit by two.
    'false': 50
    'true': 0

  start_with_breaker:
    # Places Dream Breaker (or one Progressive Dream Breaker) in the starting inventory.
    'false': 50
    'true': 0

  start_with_map:
    # Places the map item (Memento) in the starting inventory.
    # 
    # If Full Gold version is selected, this option has no effect.
    'false': 50
    'true': 0

  randomize_time_trials:
    # Opens the time trials for randomization and puts the outfits in the item pool.
    # If turned off, the time trials will not have items and the outfits are placed in the starting inventory.
    # 
    # If Full Gold version is selected, this option has no effect.
    'false': 50
    'true': 0

  randomize_goats:
    # Adds goatlings as locations. Talk to the goatling to get the item.
    # This option adds 19 locations on map patch and 17 locations on full gold.
    # For each location added, an essentially useless filler item is also added to the item pool.
    'false': 50
    'true': 0

  randomize_chairs:
    # Adds places Sybil can sit as locations. Sit down to get the item.
    # This option adds 16 locations.
    # For each location added, an essentially useless filler item is also added to the item pool.
    'false': 50
    'true': 0

  randomize_books:
    # Adds books in the library as locations. Read the book to get the item.
    # This option adds 13 locations.
    # For each location added, an essentially useless filler item is also added to the item pool.
    'false': 50
    'true': 0

  randomize_notes:
    # Adds notes as locations. Read the note to get the item.
    # This option adds 4 locations.
    # For each location added, an essentially useless filler item is also added to the item pool.
    'false': 50
    'true': 0

  major_key_hints:
    # Changes the text on the tombstones near the Great Door to tell you the locations of your Major Keys.
    # Also makes it so reading the tombstones will create hints.
    'false': 0
    'true': 50

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
